#!/bin/bash -e

#####################################################
# 
# This script will take all of the frames rendered
# by a processing sketch using the "saveFrame()"
# function and sticth them together into a video.
# By default frames save as
#
# Usage: bash processing/movie-maker.sh <input dir> <output video>
#
#####################################################

INPUT_DIR="${1}"
OUTPUT="${2}"

FRAMERATE=24

ffmpeg \
	-f image2 \
	-i "${INPUT_DIR}/screen-%04d.tif" \
	-r ${FRAMERATE} \
	-c:v prores_ks \
	-profile:v 3 \
	"${OUTPUT}"